Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1083763 - PRD35 - [RFE] replace XML-RPC communication (engine-vdsm) with json-rpc based on bidirectional transport
Summary: PRD35 - [RFE] replace XML-RPC communication (engine-vdsm) with json-rpc based...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Piotr Kliczewski
QA Contact: Pavel Stehlik
URL:
Whiteboard: infra
Depends On: 1081049 1136876 1140175
Blocks: 1124129 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-04-02 22:19 UTC by Barak
Modified: 2016-02-10 19:23 UTC (History)
12 users (show)

Fixed In Version: vt2.2
Doc Type: Enhancement
Doc Text:
Clone Of: 1081049
Environment:
Last Closed: 2015-02-11 17:58:36 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC

Description Barak 2014-04-02 22:19:13 UTC
+++ This bug was initially created as a clone of Bug #1081049 +++

The current communication between engine and vdsm is done using XML-RPC, where the engine actually acts as client and each vdsm is the server.
This pauses a few issues that when it comes to scale effect drastically:
- XML is expensive to parse
- This mechanism forces the engine to poll each vdsm frequently for information


The intent for this phase is to:
- move to json-rpc (same API)
- change transport to a real bidirectional transport to enable vdsm->engine events in the future

Comment 1 Tareq Alayan 2014-05-27 13:56:35 UTC
Hi Kliczewski

This feature looks like a wide infrastructure change. 
Can you please provide a URL to the spec page so we can design a test plan for this?

Comment 2 Piotr Kliczewski 2014-05-27 14:03:20 UTC
Here is a link [1] to design spec.


[1] http://www.ovirt.org/Features/Design/JsonRpc

Comment 4 Eyal Edri 2014-09-04 16:01:23 UTC
still not fixed on vt2.2, should come with next respin.

Comment 5 Oved Ourfali 2014-09-08 16:23:55 UTC
Feature can be tested... if it has bugs it doesn't mean it can't be tested.

Comment 8 errata-xmlrpc 2015-02-11 17:58:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.